Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 674594 - app-portage/layman-2.4.2-r1 - variable name misspelled in pylayman.py: AttributeError: 'PyLayman' object has no attribute 'xter_titles'
Summary: app-portage/layman-2.4.2-r1 - variable name misspelled in pylayman.py: Attrib...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Third-Party Tools (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Layman Overlay Manager project
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 710650
  Show dependency tree
 
Reported: 2019-01-05 09:54 UTC by Fabio Rossi
Modified: 2020-04-24 21:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
layman-2.4.2-bug674594.patch (layman-2.4.2-bug674594.patch,1.43 KB, patch)
2019-01-26 09:16 UTC, Fabio Rossi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Rossi 2019-01-05 09:54:32 UTC
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/portage/util/_async/AsyncFunction.py", line 39, in _run
    result = self.target(*(self.args or []), **(self.kwargs or {}))
  File "/usr/lib64/python2.7/site-packages/portage/sync/controller.py", line 168, in sync
    taskmaster.run_tasks(tasks, func, status, options=task_opts)
  File "/usr/lib64/python2.7/site-packages/portage/sync/controller.py", line 67, in run_tasks
    result = getattr(inst, func)(**kwargs)
  File "/usr/lib64/python2.7/site-packages/portage/sync/syncbase.py", line 304, in sync
    return self.update()
  File "/usr/lib64/python2.7/site-packages/portage/sync/modules/laymansync/pylayman.py", line 210, in update
    exitcode = self.new()[0]
  File "/usr/lib64/python2.7/site-packages/portage/sync/modules/laymansync/pylayman.py", line 164, in new
    xterm_titles=self.xter_titles)
AttributeError: 'PyLayman' object has no attribute 'xter_titles'


the fix is straight forward, the variable is xterm_titles :-)
Comment 1 Fabio Rossi 2019-01-26 09:16:07 UTC
Created attachment 562858 [details, diff]
layman-2.4.2-bug674594.patch
Comment 2 Brian Dolbec gentoo-dev 2020-04-24 19:23:48 UTC
Fix will be in layman-2.4.3
Comment 3 Brian Dolbec gentoo-dev 2020-04-24 21:43:55 UTC
Fixed in layman-2.4.3